function [normalizedFeatures, m, s] = normalizeFeatures(features, m, s)

[dx, dy] = size(features);
if nargin == 1
    m = mean(features);
    s = std(features);
end
normalizedFeatures = zeros(dx, dy);
for i = 1 : dx
    for j = 1 : dy
        if s(j) > eps
            normalizedFeatures(i, j) = (features(i, j) - m(j)) / s(j);
        end
    end
end

end
%----------------------------------------------------------------------%
%----------------------------------------------------------------------%
%----------------------------------------------------------------------%


